<?xml version="1.0"?>
<!--
Generated by VSdocman, see http://www.helixoft.com
-->
<doc>
  <assembly>
    <name>BMPSitingTool</name>
  </assembly>
  <members>
    <member name="N:BMPSitingTool">
    </member>
    <member name="T:BMPSitingTool.ArcGISToolbar1">
      <summary>
Summary description for ArcGISToolbar1.</summary>
    </member>
    <member name="M:BMPSitingTool.ArcGISToolbar1.RegisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.ArcGISToolbar1.UnregisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.ArcGISToolbar1.ArcGISCategoryRegistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category registration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.ArcGISToolbar1.ArcGISCategoryUnregistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category unregistration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.ArcGISToolbar1.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.ArcGISToolbar1">ArcGISToolbar1</see> class.</summary>
    </member>
    <member name="P:BMPSitingTool.ArcGISToolbar1.Name">
    </member>
    <member name="P:BMPSitingTool.ArcGISToolbar1.Caption">
    </member>
    <member name="N:BMPSitingTool.Forms">
    </member>
    <member name="N:BMPSitingTool.Utilities">
    </member>
    <member name="T:BMPSitingTool.Forms.FrmDataManagement">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmDataManagement._settings">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmDataManagement.m_LayerDict">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmDataManagement.m_application">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Forms.FrmDataManagement">FrmDataManagement</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.FrmDataManagement_Load(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.Initialize_List">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseDEM_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbDEMpath_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.Browse_Dataset(BMPSitingTool.Forms.datasetType,System.Windows.Forms.ComboBox@,ESRI.ArcGIS.Framework.IApplication)">
      <param name="pdatasetType">
</param>
      <param name="pControl">
</param>
      <param name="m_application">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.label8_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdSave_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseIMP_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseMRLC_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseMrlc_lk_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseRoad_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseStream_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseSoil_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowselanduse_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseWT_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdBrowseSoil_lk_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdLandowner_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.Check_Datasets">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbZUnit_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbMRLC_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbLandusepath_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmdCancel_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbRoadpath_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbStreampath_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbWTPath_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbSoilpath_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbSoil_lk_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbMrlc_lk_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbLandownerpath_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.cmbImp_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmDataManagement.label3_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmDataManagement.Settings">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmDataManagement.ArcGISApplication">
      <summary>
Sets .</summary>
    </member>
    <member name="T:BMPSitingTool.Forms.FrmBMPSitingCriteria">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria.m_frmWeightCriteria">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria._settings">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria._bMPCriteria">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria._selectedBMPType">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria.m_application">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria.m_Prev_BMP">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria.m_BMPType">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria.strResult">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmBMPSitingCriteria.selectedBMPTypeList">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Forms.FrmBMPSitingCriteria">FrmBMPSitingCriteria</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.panel2_Paint(System.Object,System.Windows.Forms.PaintEventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.Windows.Forms.PaintEventArgs">PaintEventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.splitContainer1_Panel1_Paint(System.Object,System.Windows.Forms.PaintEventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.Windows.Forms.PaintEventArgs">PaintEventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Initialize_Controls">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.FrmBMPSitingCriteria_Load(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.tableLayoutPanel2_Paint(System.Object,System.Windows.Forms.PaintEventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.Windows.Forms.PaintEventArgs">PaintEventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.label2_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.label4_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.cmbBMPType_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.lblDC_DA_TextChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.BOpenCriteriaWeight_DS_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.BCriteriaStored_DS_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.BOpenCriteriaWeight_HG_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.BCriteriaStored_HG_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.cmdClose_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.cmdSave_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.ComputeProgressCount">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.UpdateProgressBar">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.cmdStart_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.cmbDC_LO_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkLO_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkRB_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkBB_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkSB_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkWT_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkHG_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkIMP_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkDS_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.chkDA_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GetBMPLayerNameFromTypeName(System.String)">
      <param name="strOriBMPType">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.CreateWorkfolder">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Get_Scale_Factor(ESRI.ArcGIS.esriSystem.esriUnits)">
      <param name="UnitName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Copy_FeatureData_toWorkfolder(System.String)">
      <param name="strFeatureToBeCopied">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Copy_SoilFeatureData_toWorkfolder(System.String,System.String,System.String,System.String,System.String@)">
      <param name="strFeatureToBeCopied">
</param>
      <param name="strTableToJoin">
</param>
      <param name="strFieldInLayer">
</param>
      <param name="strFieldInTable">
</param>
      <param name="strOutput">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.IsGeodatabaseFClass(ESRI.ArcGIS.Carto.IDataLayer2)">
      <param name="pDLayer">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Get_ExportedShapefile(ESRI.ArcGIS.Carto.IFeatureLayer,System.String,System.Boolean)">
      <param name="pFLayer">
</param>
      <param name="strExportName">
</param>
      <param name="pDissolve">
If set to <see langword="true" />, then ; otherwise, .</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Get_Available_name(System.String)">
      <param name="strName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Copy_from_Cache">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Copy_Table_Data(ESRI.ArcGIS.Geodatabase.ITable,System.String,ESRI.ArcGIS.Geodatabase.IWorkspace)">
      <param name="pTable">
</param>
      <param name="pTableName">
</param>
      <param name="pWkspace">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.PrepareBufferFeature(System.String,System.String,System.String)">
      <param name="strExp">
</param>
      <param name="strWorkspace">
</param>
      <param name="InFlayerName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.CreateSingleBufferFeature(System.Int32,System.Int32,System.String,System.String)">
      <param name="bufferMin">
</param>
      <param name="bufferMax">
</param>
      <param name="strWorkspacePath">
</param>
      <param name="InFlayerName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateLayerWholeExtent(System.String,System.String)">
      <param name="strWorkspacePath">
</param>
      <param name="CreatedFlayerName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.RemoveOverlap(System.String)">
      <param name="fileName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateRoadLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateStreamLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateWTLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateLanduseLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateLandownerLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Get_Soil_Groups(System.String,System.String)">
      <param name="strSoilRange">
</param>
      <param name="strDelim">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.addWeightCriteriaColumnDC_HG(ESRI.ArcGIS.Carto.IFeatureLayer,System.String,System.String,BMPSitingTool.Classes.BMPobj)">
      <param name="pFeatureLayer">
</param>
      <param name="origColumnName">
</param>
      <param name="newColumnName">
</param>
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateHSGLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateMRLCLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateImperviousLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateDEMSlopeLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.GenerateDEMDrainageLayer(BMPSitingTool.Classes.BMPobj)">
      <param name="oBMP">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Get_Intersect_FeatureLayer(ESRI.ArcGIS.Carto.IFeatureLayer,ESRI.ArcGIS.Carto.IFeatureLayer,System.String)">
      <param name="pInputFeatLayer">
</param>
      <param name="pOverlayLayer">
</param>
      <param name="strResultName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.CleanupLayers(ESRI.ArcGIS.Carto.IRasterLayer,ESRI.ArcGIS.Carto.IFeatureLayer,ESRI.ArcGIS.Carto.IFeatureLayer,ESRI.ArcGIS.Carto.IFeatureLayer,ESRI.ArcGIS.Carto.IFeatureLayer,ESRI.ArcGIS.Carto.IFeatureLayer,ESRI.ArcGIS.Carto.IFeatureLayer)">
      <param name="pInRasterLay">
</param>
      <param name="pInImpLayer">
</param>
      <param name="pWTLayer">
</param>
      <param name="pLanduseLayer">
</param>
      <param name="pInFlowLayer">
</param>
      <param name="pInmrlcLayer">
</param>
      <param name="pInSlopeLayer">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Clean_Layer(ESRI.ArcGIS.Carto.IFeatureLayer)">
      <param name="pLayer">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.DisplayResults(ESRI.ArcGIS.Carto.IFeatureLayer,System.String)">
      <param name="pTempResultLayer">
</param>
      <param name="strBMPType">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Generate_One_BMP(System.String,System.Collections.ArrayList@)">
      <param name="strOriBMPType">
</param>
      <param name="pcolResult">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Generate_Selected_BMPs(System.Collections.ArrayList@)">
      <param name="pcolResult">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Create_Composite_Layer(System.Collections.ArrayList)">
      <param name="pcolResult">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.updateColumnName(ESRI.ArcGIS.Carto.IFeatureLayer,System.String,System.String)">
      <param name="pFeatureLayer">
</param>
      <param name="oldColumnName">
</param>
      <param name="newColumnName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.summarizeWeights(ESRI.ArcGIS.Carto.IFeatureLayer,System.String[])">
      <param name="pFeatureLayer">
</param>
      <param name="colNames">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Turn_Off_Layers(System.Collections.ArrayList)">
      <param name="pcolResult">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Multipart_to_SinglePart(System.String)">
      <param name="strShapeFileName">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.ChangeStyle(ESRI.ArcGIS.Carto.IFeatureLayer)">
      <param name="pFeatLyr">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Check_Expression(System.String,System.Boolean)">
      <param name="strExp">
</param>
      <param name="bCanBeRange">
If set to <see langword="true" />, then ; otherwise, .</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Check_DC_HG(System.String)">
      <param name="strExp">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmBMPSitingCriteria.Check_Criteria(System.String)">
      <param name="strBMPType">
</param>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmBMPSitingCriteria.CriteriaStored_HG_Visible">
      <summary>
Gets or sets a value indicating whether .</summary>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmBMPSitingCriteria.CriteriaStored_DS_Visible">
      <summary>
Gets or sets a value indicating whether .</summary>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmBMPSitingCriteria.ArcGISApplication">
      <summary>
Sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmBMPSitingCriteria.OpenCriteriaWeight_HG_Visible">
      <summary>
Gets or sets a value indicating whether .</summary>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmBMPSitingCriteria.OpenCriteriaWeight_DS_Visible">
      <summary>
Gets or sets a value indicating whether .</summary>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmBMPSitingCriteria.Settings">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="N:BMPSitingTool.MenuItems">
    </member>
    <member name="T:BMPSitingTool.MenuItems.BMPSitingCriteria">
      <summary>
Summary description for Command1.</summary>
    </member>
    <member name="M:BMPSitingTool.MenuItems.BMPSitingCriteria.RegisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.BMPSitingCriteria.UnregisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.BMPSitingCriteria.ArcGISCategoryRegistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category registration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.BMPSitingCriteria.ArcGISCategoryUnregistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category unregistration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="F:BMPSitingTool.MenuItems.BMPSitingCriteria.m_frmBMPSitingCriteria">
    </member>
    <member name="F:BMPSitingTool.MenuItems.BMPSitingCriteria._settings">
    </member>
    <member name="F:BMPSitingTool.MenuItems.BMPSitingCriteria._bMPCriteria">
    </member>
    <member name="F:BMPSitingTool.MenuItems.BMPSitingCriteria._selectedBMPType">
    </member>
    <member name="F:BMPSitingTool.MenuItems.BMPSitingCriteria.m_application">
    </member>
    <member name="M:BMPSitingTool.MenuItems.BMPSitingCriteria.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.MenuItems.BMPSitingCriteria">BMPSitingCriteria</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.MenuItems.BMPSitingCriteria.OnCreate(System.Object)">
      <summary>
Occurs when this command is created</summary>
      <param name="hook">
Instance of the application</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.BMPSitingCriteria.OnClick">
      <summary>
Occurs when this command is clicked</summary>
    </member>
    <member name="P:BMPSitingTool.MenuItems.BMPSitingCriteria.Enabled">
    </member>
    <member name="N:BMPSitingTool.Classes">
    </member>
    <member name="T:BMPSitingTool.Classes.BMPobj">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_strBMPName">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_lngBMPID">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_strBMPType">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_DA">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_DS">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_IMP">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_HG">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_WT">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_RB">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_BB">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_SB">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_LO">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_DA_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_DS_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_IMP_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_HG_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_WT_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_RB_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_BB_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_SB_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_LO_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_DS_Weight_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_HG_Weight_State">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_DA_Weight">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_DS_Weight">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_IMP_Weight">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_HG_Weight">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_WT_Weight">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_RB_Weight">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_SB_Weight">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_BB_Weight">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPobj.m_DC_LO_Weight">
    </member>
    <member name="M:BMPSitingTool.Classes.BMPobj.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Classes.BMPobj">BMPobj</see> class.</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_HG_Weight_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_IMP">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_BB_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_DA_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_LO_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_SB_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_DS_Weight1">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_SB">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_SB_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_BB_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_RB">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_DS_Weight_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_HG_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_LO_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_LO">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_RB_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_DS">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.BMPType">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.BMPId">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_WT_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_HG_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_WT">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_HG">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_IMP_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_DA_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_BB">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_HG_Weight1">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_IMP_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_DS_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_WT_State">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.BMPName">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_DS_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_DA">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPobj.DC_RB_Weight">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="T:BMPSitingTool.MenuItems.DataManagement">
      <summary>
Summary description for DataManagement.</summary>
    </member>
    <member name="F:BMPSitingTool.MenuItems.DataManagement.m_frmDataManagement">
    </member>
    <member name="F:BMPSitingTool.MenuItems.DataManagement._settings">
    </member>
    <member name="M:BMPSitingTool.MenuItems.DataManagement.RegisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.DataManagement.UnregisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.DataManagement.ArcGISCategoryRegistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category registration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.DataManagement.ArcGISCategoryUnregistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category unregistration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="F:BMPSitingTool.MenuItems.DataManagement.m_application">
    </member>
    <member name="M:BMPSitingTool.MenuItems.DataManagement.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.MenuItems.DataManagement">DataManagement</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.MenuItems.DataManagement.OnCreate(System.Object)">
      <summary>
Occurs when this command is created</summary>
      <param name="hook">
Instance of the application</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.DataManagement.OnClick">
      <summary>
Occurs when this command is clicked</summary>
    </member>
    <member name="T:BMPSitingTool.Forms.FrmWeightCriteria">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmWeightCriteria._bMPCriteria">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmWeightCriteria.m_application">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmWeightCriteria.isHSG">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmWeightCriteria.bMPType">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmWeightCriteria._frmBMPSitingCriteria">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmWeightCriteria.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Forms.FrmWeightCriteria">FrmWeightCriteria</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmWeightCriteria.#ctor(BMPSitingTool.Forms.FrmBMPSitingCriteria)">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Forms.FrmWeightCriteria">FrmWeightCriteria</see> class.</summary>
      <param name="frmBMPSitingCriteria">
</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmWeightCriteria.WriteCriteriaWeightText">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmWeightCriteria.button1_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmWeightCriteria.Populate_Criteria_Weight">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmWeightCriteria.FrmWeightCriteria_Load(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmWeightCriteria.criteria0_TextChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmWeightCriteria.chkCriteria_CheckedChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmWeightCriteria.IsHSG">
      <summary>
Gets or sets a value indicating whether this instance .</summary>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmWeightCriteria.BMPType">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="T:BMPSitingTool.MenuItems.SelectBMPTypes">
      <summary>
Summary description for SelectBMPTypes.</summary>
    </member>
    <member name="M:BMPSitingTool.MenuItems.SelectBMPTypes.RegisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.SelectBMPTypes.UnregisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.SelectBMPTypes.ArcGISCategoryRegistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category registration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.SelectBMPTypes.ArcGISCategoryUnregistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category unregistration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="F:BMPSitingTool.MenuItems.SelectBMPTypes.m_frmSelectBMPTypes">
    </member>
    <member name="F:BMPSitingTool.MenuItems.SelectBMPTypes._settings">
    </member>
    <member name="F:BMPSitingTool.MenuItems.SelectBMPTypes._bMPCriteria">
    </member>
    <member name="F:BMPSitingTool.MenuItems.SelectBMPTypes._selectedBMPType">
    </member>
    <member name="F:BMPSitingTool.MenuItems.SelectBMPTypes.m_application">
    </member>
    <member name="M:BMPSitingTool.MenuItems.SelectBMPTypes.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.MenuItems.SelectBMPTypes">SelectBMPTypes</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.MenuItems.SelectBMPTypes.OnCreate(System.Object)">
      <summary>
Occurs when this command is created</summary>
      <param name="hook">
Instance of the application</param>
    </member>
    <member name="M:BMPSitingTool.MenuItems.SelectBMPTypes.OnClick">
      <summary>
Occurs when this command is clicked</summary>
    </member>
    <member name="P:BMPSitingTool.MenuItems.SelectBMPTypes.Enabled">
    </member>
    <member name="N:BMPSitingTool.Common">
    </member>
    <member name="T:BMPSitingTool.Common.Logger">
    </member>
    <member name="M:BMPSitingTool.Common.Logger.GenerateProjectLogFileName(System.String)">
      <param name="projectFileName">
</param>
    </member>
    <member name="M:BMPSitingTool.Common.Logger.GenerateDefaultLogFileName(System.String)">
      <param name="BaseFileName">
</param>
    </member>
    <member name="M:BMPSitingTool.Common.Logger.WriteToLog(System.String,System.String)">
      <param name="LogPath">
</param>
      <param name="Message">
</param>
    </member>
    <member name="M:BMPSitingTool.Common.Logger.WriteToEventLog(System.String,System.String,System.Diagnostics.EventLogEntryType)">
      <param name="Source">
</param>
      <param name="Message">
</param>
      <param name="EntryType">
the entry type to use to categorize the message like for exmaple error or information</param>
    </member>
    <member name="T:BMPSitingTool.Classes.SelectedBMPType">
    </member>
    <member name="F:BMPSitingTool.Classes.SelectedBMPType._applicationPath">
    </member>
    <member name="F:BMPSitingTool.Classes.SelectedBMPType._selectedBMP">
    </member>
    <member name="M:BMPSitingTool.Classes.SelectedBMPType.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Classes.SelectedBMPType">SelectedBMPType</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.Classes.SelectedBMPType.#ctor(System.String)">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Classes.SelectedBMPType">SelectedBMPType</see> class.</summary>
      <param name="applicationPath">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.SelectedBMPType.LoadSelectedBMPList(System.String)">
      <param name="path">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.SelectedBMPType.SaveSelectedBMPList(System.String)">
      <param name="path">
</param>
    </member>
    <member name="P:BMPSitingTool.Classes.SelectedBMPType.SelectedBMP">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SelectedBMPType.SelectBMPTypeFile">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SelectedBMPType.ApplicationPath">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="T:BMPSitingTool.Classes.XmlSettingsSerializable">
    </member>
    <member name="M:BMPSitingTool.Classes.XmlSettingsSerializable.SaveSettings(System.String)">
      <param name="path">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.XmlSettingsSerializable.LoadSettings(System.String)">
      <param name="path">
</param>
    </member>
    <member name="T:BMPSitingTool.Classes.SitingToolSettings">
      <summary>
User settings for inserting and visualizing Siting tool model results.</summary>
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._dataValid">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._applicationPath">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._workingfolder">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._workingfolderParent">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._rasterfolder">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._cellSize">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._dEMdata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._soildata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._imperviousdata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._landusedata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._streamdata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._roaddata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._mRLCdata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._wTdata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._soilTable">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._mrlcTable">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._landownerdata">
    </member>
    <member name="F:BMPSitingTool.Classes.SitingToolSettings._zUnit">
    </member>
    <member name="M:BMPSitingTool.Classes.SitingToolSettings.#ctor(System.String)">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Classes.SitingToolSettings">SitingToolSettings</see> class.</summary>
      <param name="applicationPath">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.SitingToolSettings.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Classes.SitingToolSettings">SitingToolSettings</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.Classes.SitingToolSettings.LogSettings">
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.Workingfolder">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.Roaddata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.CellSize">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.SoilTable">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.Landownerdata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.MRLCdata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.DataValid">
      <summary>
Gets or sets a value indicating whether .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.DEMdata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.MrlcTable">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.Imperviousdata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.Landusedata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.Rasterfolder">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.Streamdata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.ZUnit">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.SitingToolSettingsFile">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.WorkingfolderParent">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.ApplicationPath">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.Soildata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.SitingToolSettings.WTdata">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="T:BMPSitingTool.SitingToolBar">
      <summary>
Summary description for SitingToolBar.</summary>
    </member>
    <member name="F:BMPSitingTool.SitingToolBar.LOGFILE">
    </member>
    <member name="M:BMPSitingTool.SitingToolBar.RegisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.SitingToolBar.UnregisterFunction(System.Type)">
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.SitingToolBar.ArcGISCategoryRegistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category registration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.SitingToolBar.ArcGISCategoryUnregistration(System.Type)">
      <summary>
Required method for ArcGIS Component Category unregistration - Do not modify the contents of this method with the code editor.</summary>
      <param name="registerType">
</param>
    </member>
    <member name="M:BMPSitingTool.SitingToolBar.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.SitingToolBar">SitingToolBar</see> class.</summary>
    </member>
    <member name="P:BMPSitingTool.SitingToolBar.Caption">
    </member>
    <member name="P:BMPSitingTool.SitingToolBar.Name">
    </member>
    <member name="T:BMPSitingTool.Forms.FrmSelectBMPTypes">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmSelectBMPTypes._settings">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmSelectBMPTypes._bMPCriteria">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmSelectBMPTypes._selectedBMPType">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmSelectBMPTypes.m_application">
    </member>
    <member name="F:BMPSitingTool.Forms.FrmSelectBMPTypes.selectedBMPTypeList">
    </member>
    <member name="M:BMPSitingTool.Forms.FrmSelectBMPTypes.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Forms.FrmSelectBMPTypes">FrmSelectBMPTypes</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmSelectBMPTypes.FrmSelectBMPTypes_Load(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmSelectBMPTypes.button1_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmSelectBMPTypes.cmdSave_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmSelectBMPTypes.lstBMPSel_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmSelectBMPTypes.cmdDel_Click(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmSelectBMPTypes.button1_Click_1(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="M:BMPSitingTool.Forms.FrmSelectBMPTypes.lstBMP_SelectedIndexChanged(System.Object,System.EventArgs)">
      <param name="sender">
The source of the event.</param>
      <param name="e">
An <see cref="T:System.EventArgs">EventArgs</see> that contains the event data.</param>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmSelectBMPTypes.Settings">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Forms.FrmSelectBMPTypes.ArcGISApplication">
      <summary>
Sets .</summary>
    </member>
    <member name="T:BMPSitingTool.Classes.BMPCriteria">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria._applicationPath">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.dryPond">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.wetPond">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.infiltrationBasin">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.infiltrationTrench">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.bioretention">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.sandfilter_Surface">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.sandfilter_Nonsurface">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.constructedWetland">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.porousPavement">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.grassedSwales">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.vegetatedFilterstrip">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.rainBarrel">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.cistern">
    </member>
    <member name="F:BMPSitingTool.Classes.BMPCriteria.greenRoof">
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.#ctor">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Classes.BMPCriteria">BMPCriteria</see> class.</summary>
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.#ctor(System.String)">
      <summary>
Initializes a new instance of the <see cref="T:BMPSitingTool.Classes.BMPCriteria">BMPCriteria</see> class.</summary>
      <param name="applicationPath">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.DefaultBMPCriteria(System.String)">
      <param name="path">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.LoadBMPCriteria(System.String)">
      <param name="path">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.SaveBMPCriteria(System.String)">
      <param name="path">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.Initialize_BMPs">
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.GetOneBMP(System.String)">
      <param name="bMPType">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.SetOneBMP(System.String,BMPSitingTool.Classes.BMPobj)">
      <param name="bMPType">
</param>
      <param name="bMPtobeSaved">
</param>
    </member>
    <member name="M:BMPSitingTool.Classes.BMPCriteria.GetBMPTypeList">
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.DryPond">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.Bioretention">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.InfiltrationBasin">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.GreenRoof">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.SitingToolCriteriaFile">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.InfiltrationTrench">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.ConstructedWetland">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.GrassedSwales">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.ApplicationPath">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.Cistern">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.RainBarrel">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.WetPond">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.Sandfilter_Nonsurface">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.VegetatedFilterstrip">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.Sandfilter_Surface">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="P:BMPSitingTool.Classes.BMPCriteria.PorousPavement">
      <summary>
Gets or sets .</summary>
    </member>
    <member name="T:BMPSitingTool.Utilities.CheckSpatialAnalyst">
    </member>
    <member name="M:BMPSitingTool.Utilities.CheckSpatialAnalyst.CheckSuccess">
    </member>
    <member name="M:BMPSitingTool.Utilities.CheckSpatialAnalyst.GetSpatialAnalystLicense">
    </member>
  </members>
</doc>
